# EMsoftTest #

This program is designed to test the ability of a C++ program to call to the embedded
Fortran routines which execute OpenCL routines running on the GPU.

## Windows Setup #

Save the archive file to your Desktop
Unzip the archive.
Use the *CMD* program to navigate to the EMsoftTest folder.
Run the __EMsoftinit__ program and answer the questions. Nothing is ever reported with the
username or email so you can use junk if you want.

Open the file .config/EMsoft/EMsoftConfig.json in a text editor and edit the file to make it
look like the following:

    {
        "EMsoftpathname": "C:/Users/[USER]/Desktop/EMsoftTest/",
        "EMdatapathname": "C:/Users/[USER]/Desktop/EMsoftTest/EMPlay/",
        "EMtmppathname": "C:/Users/[USER]/Desktop/EMsoftTest/EMPlay/",
        "EMsoftLibraryLocation": "C:/Users/[USER]/",
        "Release": "Yes",
        "Develop": "No",
        "UserName": "A User",
        "UserEmail": "nothing@nowhere.com",
        "UserLocation": "NA"
    }

Now you should be ready to run the program __TestMonteCarlo.exe__ in the following manner:

	TestMonteCarlo.exe 64 C:/Users/[USER]/Desktop/EMsoftTest/EMPlay/XtalFolder/Al.xtal C:/Users/[USER]/Desktop/EMsoftTest/EMPlay/Output.h5

We want to run the program four (4) times using different workgroup sizes of 64,128,256,512. For each run we need to report the total time to run the program which will be printed in the form of "[Workgroup Size], [SECONDS]". Please report all four (4) times for the 64, 128, 256, 512 workgroup sizes.


